Subject: RE: Draft on Advice for Internet Subnetwork Designers

From: Marie-Jose Montpetit <[email-masked]>
Date: Thu, 9 Mar 2000 05:48:40 -0800

If we start from the premise that the equipment that is connected to the
subnetwork is unaware of the particularities of the subnetwork, which I
think is usually the case, then it is an issue for the designer.

Marie-Jose

> -----Original Message-----
> From:	Phil Karn [SMTP:[email-masked]]
> Sent:	Thursday, March 09, 2000 12:18 AM
> To:	[email-masked]
> Cc:	[email-masked]; [email-masked]; [email-masked]
> Subject:	Re: Draft on Advice for Internet Subnetwork Designers
> 
> >On the topic of packet discard especially on those subnet where capacity
> is
> >expensive or limited I would add that when possible packets marked form
> >another subnet should be discarded before transmission on the link.
> 
> Is this an issue for the subnetwork designer, or for the router that
> drives the subnetwork?
> 
> Phil

---

From: Grenville Armitage <[email-masked]>
Date: Thu, 09 Mar 2000 09:41:20 -0800

marie-jose,

not in this case. it is a design decision for the router, not
the link. think ISSLL, IP-ATM, etc, etc.... the IP to link layer
driver is where we implement particular rules for mapping certain
types of (marked) IP packets onto links, subsets of links, or
/dev/null. 

cheers,
gja

-- 
________________________________________________________________________
Grenville Armitage                            http://mh005.infi.net/~gja
Bell Labs Research Silicon Valley

---

From: Phil Karn <[email-masked]>
Date: Mon, 13 Mar 2000 16:43:45 -0800

>think is usually the case, then it is an issue for the designer.

I asked the question because I assume by "marked packet" you meant marking
at the IP layer, e.g., with ECN. That implies that it's up to an IP
router to drop the packet if it wishes, since subnetworks know nothing
about IP (or about other subnetworks, for that matter).

Phil